#
# spec file for package libretro-beetle-gba
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libretro-beetle-gba
Version:        0~git20190911
Release:        bp155.2.10
Summary:        Mednafen GBA libretro core for GameBoy Advance emulation
License:        GPL-2.0
Group:          System/Emulators/Other
URL:            http://www.retroarch.com
Source:         %{name}-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  make

%description
Standalone port of Mednafen GBA to libretro, itself a fork of VBA-M, itself a
fork of Visual Boy Advance.

%prep
%setup -q

%build
make

%install
mkdir -p %{buildroot}%{_libdir}/libretro
cp mednafen_gba_libretro.so %{buildroot}%{_libdir}/libretro

%files
%dir %{_libdir}/libretro
%{_libdir}/libretro/mednafen_gba_libretro.so

%changelog
* Thu Oct 10 2019 i@guoyunhe.me
- Update to version 0~git20190911:
  * (tvOS) support building
  * libretro: allow mingw cross compile
  * iOS: support for building using buildbot
  * makefile cleanup
  * libretro: jni: Switch stl to c++ in preparation for ndk r20
  * Updated A7A7
  * Added A7A7
  * add memory hooks for cheat/rumble
  * Revert "Fix need_fullpath value in libretro API"
* Thu Oct 10 2019 Yunhe Guo <i@guoyunhe.me>
- Initial version
